<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Traits\Autenticable;
use DB;

class ClasificacionCompraController extends Controller
{
    use Autenticable;

    public function index(Request $request){
        $datos = $request->json()->all();
        $token = $request->header('token');

        $usuario = $this->valida_token($token);
        if (is_null($usuario)) {
            return $this->tokenInvalido();
        }

        $centro_costo = DB::table('ccosto')
            ->select('ID_CCOSTO as id', 'ID_CUENTA as id_cuenta', 'NOMBRE_CCOSTO as nombre', 'DESCRIPCION_CCOSTO as descripcion', 'ESTADO_CLASIF as estado')
            ->whereRaw('ID_EMPRESA = \''.$usuario->rut_empresa.'\'')
            ->get();

        return response()->json((array) $centro_costo);
    }
}
